{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain0
    sslPath
    varPath
    mntPath
    ;
  label = "ComfyUI";
  name = "comfyui";
  domain = "${name}.${domain0}";
  ssl = "${sslPath}/${domain}";
in
{
  label = label;
  name = name;
  short = label;
  tags = [
    name
    "comfy"
    "ui"
  ];
  domains = {
    url0 = domain;
  };
  ports = {
    port0 = 8188;
  };
  varPaths = {
    path0 = "${varPath}/${name}";
  };
  mntPaths = {
    path0 = "${mntPath}/${name}";
  };
  secretPaths = {
    path0 = "/run/secrets";
  };
  ssl = {
    path = ssl;
    cert = "${ssl}/fullchain.pem";
    key = "${ssl}/key.pem";
  };
}
